petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESFASType

Determines the type of nonlinear multigrid method that is run.

### Synopsis

    typedef enum { SNES_FAS_MULTIPLICATIVE, SNES_FAS_ADDITIVE, SNES_FAS_FULL, SNES_FAS_KASKADE } SNESFASType;

### Values

| SNES_FAS_MULTIPLICATIVE (default) | - traditional V or W cycle as determined by SNESFASSetCycles()
| SNES_FAS_ADDITIVE | - additive FAS cycle
| SNES_FAS_FULL | - full FAS cycle
| SNES_FAS_KASKADE | - Kaskade FAS cycle

### See Also

PCMGSetType(), PCMGType

### Level

beginner

### Location

src/snes/../../include/petscsnes.h
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages